Subject: Re: Why recalculation from scratch?

From: Jing Shen <[email-masked]>
Date: Wed, 14 Aug 2002 23:04:52 -0400

Bin Liu,

The first, router does not maintains all information as human does.
the second, each router computes its routing table on its view of network.
When state of some links varies, the logical view of network changes
and the shortest path tree of the graph may become a totally new one;
the third, as link state propagates by relaying hop by hop, it can not
be expected that every router update their routing table simulataneously,
so each time a new link state is received the routing table must be
recomputed
to guarantee the convergence.

Of course, in a network with thousands of prefix such computing need a lot
of
CPU time but it's just one of the key reasons. IMO, Route flapping and
looping is
the factors attracting more attention.

Cheers

Jing Shen

---

From: Yasuhiro Ohara <[email-masked]>
Date: Thu, 15 Aug 2002 16:21:32 +0900

Hi,

Related to this, I wonder why the congestion-control draft saying "do
not do incremental SPF when congested" (in 4.2.2.4 Reduce the Rate of
SPF Computation). Could you give me some more explanation or a
reference pointer, authors ?

IMHO simply we're just negative to have a lot of state informations,
though there are some ways to avoid recalculation from scratch
(i.e. incremental SPF calculation).

regards.
yasu

jshen> Bin Liu,
jshen>
jshen> The first, router does not maintains all information as human does.
jshen> the second, each router computes its routing table on its view of network.
jshen> When state of some links varies, the logical view of network changes
jshen> and the shortest path tree of the graph may become a totally new one;
jshen> the third, as link state propagates by relaying hop by hop, it can not
jshen> be expected that every router update their routing table simulataneously,
jshen> so each time a new link state is received the routing table must be
jshen> recomputed
jshen> to guarantee the convergence.
jshen>
jshen> Of course, in a network with thousands of prefix such computing need a lot
jshen> of
jshen> CPU time but it's just one of the key reasons. IMO, Route flapping and
jshen> looping is
jshen> the factors attracting more attention.
jshen>
jshen> Cheers
jshen>
jshen> Jing Shen